import "../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.mjs";
import { watermarkText } from "../../../../../settings/designSetting.mjs";
import { defineComponent, resolveComponent, openBlock, createBlock } from "../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.mjs";
import { unref } from "../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.mjs";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_n_watermark = resolveComponent("n-watermark");
      return openBlock(), createBlock(_component_n_watermark, {
        id: "go-edit-watermark",
        content: unref(watermarkText),
        cross: "",
        selectable: "",
        "font-size": 16,
        "line-height": 16,
        width: 500,
        height: 150,
        "x-offset": 12,
        "y-offset": 80,
        rotate: -15
      }, null, 8, ["content"]);
    };
  }
});
export {
  _sfc_main as default
};
